Subject: bug#31904: scatch/ns-drawing

From: Alan Third <[email-masked]>
Date: Sat, 28 Sep 2019 22:14:26 +0100

On Sat, Sep 28, 2019 at 07:54:26PM +0200, Stefan Kangas wrote:
> Alan Third <[email-masked]> writes:
> 
> > Sorry, I thought I’d already replied to this.
> >
> > On Sun, Aug 19, 2018 at 04:51:36PM -0700, [email-masked] wrote:
> >>
> >> Another interesting thing:
> >>
> >> * The problem does NOT occur when changing the size of the font.
> >>
> >> * If I change the font (to Monaco), the screen blanks, but
> >>   immediately running a command to change the font size “fixes” it.
> >>
> >> Seems that the font-change isn’t triggering a “repaint the whole
> >> thing”, rather, just repaint the line containing the pointer.
> >
> > Yes, that sounds right. Chances are the line with the cursor on it
> > redraws because the cursor is drawn as a separate action.
> >
> > Probably the font change needs to mark the frame as garbaged so it’s
> > redrawn completely, but that’s not happening. Unfortunately I don’t
> > know where that should be done. I can’t see anywhere obvious in the NS
> > code. I’ll keep looking.
> 
> What's the status here?  I can see that some code has been added in
> reference to this bug in commit 7946445962372c42, but I'm not sure if
> that fixed all outstanding issues.
> 
> I don't have macOS 10.14 so I can't test any of this myself.

IIRC I’ve left this bug open as a centre for any further reports about
issues with macOS drawing. It’s not been resolved, and I have an
alternative approach, but I don’t seem to have the ability to complete
it (I’m absolutely fed up with Apple’s developer unfriendly approach
towards documenting their APIs).
-- 
Alan Third